// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

// tslint:disable
/**
 * eGesetzgebung Platform
 * This is the rest interface offered by the eGesetzgebung Platform backend.  Please provide __JW Access Token__ using button \'Authorize\' to access protected endpoints. Use the following instructions to get token:  1. on CMD/Bash/Terminal: ```curl -d \"client_id=user-management\" -d \"client_secret=INSERT_IAM_SECRET\" -d \"grant_type=password&username=INSERT_USER_EMAIL&password=INSERT_USER_PASSWORD\" \"INSERT_IAM_URL/realms/bund/protocol/openid-connect/token\"``` 2. copy access_token (without quotes, you can use jq or other tools to extract this value automatically) 3. insert value into \'JWToken\' field under \'Authorize\' and press \'Authorize\' 4. now you should have access to user protected endpoint  __FYI:__ token expires after 60 seconds. On non-production systems only a warning is displayed so you can work smoothly, but on production systems you have to frequently provide a new token.
 *
 * The version of the OpenAPI document: 9.0.3
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import type {
    AktionType,
    PkpGesendetStatusType,
    PkpWorkflowStatusType,
    RegelungsvorhabenTypType,
    RolleLokalType,
    UserEntityResponseDTO,
    VorhabenStatusType,
} from './';

/**
 * @export
 * @interface RegelungsvorhabenBundesregierungTableDTO
 */
export interface RegelungsvorhabenBundesregierungTableDTO {
    /**
     * @type {string}
     * @memberof RegelungsvorhabenBundesregierungTableDTO
     */
    abkuerzung?: string;
    /**
     * @type {Array<AktionType>}
     * @memberof RegelungsvorhabenBundesregierungTableDTO
     */
    aktionen: Array<AktionType>;
    /**
     * @type {boolean}
     * @memberof RegelungsvorhabenBundesregierungTableDTO
     */
    allowedToArchive?: boolean;
    /**
     * @type {boolean}
     * @memberof RegelungsvorhabenBundesregierungTableDTO
     */
    allowedToModify: boolean;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenBundesregierungTableDTO
     */
    archiviertAm?: string;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenBundesregierungTableDTO
     */
    id: string;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenBundesregierungTableDTO
     */
    kurzbezeichnung?: string;
    /**
     * @type {RolleLokalType}
     * @memberof RegelungsvorhabenBundesregierungTableDTO
     */
    rolleTyp: RolleLokalType;
    /**
     * @type {VorhabenStatusType}
     * @memberof RegelungsvorhabenBundesregierungTableDTO
     */
    status: VorhabenStatusType;
    /**
     * ID der federführenden Abteilung
     * @type {string}
     * @memberof RegelungsvorhabenBundesregierungTableDTO
     */
    technischeFfAbteilung?: string;
    /**
     * ID des federführenden Referat
     * @type {string}
     * @memberof RegelungsvorhabenBundesregierungTableDTO
     */
    technischesFfReferat?: string;
    /**
     * ID des koordinierenden Federführers
     * @type {string}
     * @memberof RegelungsvorhabenBundesregierungTableDTO
     */
    technischesFfRessort?: string;
    /**
     * @type {RegelungsvorhabenTypType}
     * @memberof RegelungsvorhabenBundesregierungTableDTO
     */
    vorhabenart?: RegelungsvorhabenTypType;
    /**
     * @type {UserEntityResponseDTO}
     * @memberof RegelungsvorhabenBundesregierungTableDTO
     */
    erstelltVon: UserEntityResponseDTO;
    /**
     * Erstelldatum des Regelungsvorhabens
     * @type {string}
     * @memberof RegelungsvorhabenBundesregierungTableDTO
     */
    erstelltAm: string;
    /**
     * Letztes Bearbeitungsdatum des Regelungsvorhabens
     * @type {string}
     * @memberof RegelungsvorhabenBundesregierungTableDTO
     */
    bearbeitetAm: string;
    /**
     * @type {UserEntityResponseDTO}
     * @memberof RegelungsvorhabenBundesregierungTableDTO
     */
    bearbeitetVon: UserEntityResponseDTO;
    /**
     * @type {UserEntityResponseDTO}
     * @memberof RegelungsvorhabenBundesregierungTableDTO
     */
    bearbeitetVonStellvertreter?: UserEntityResponseDTO;
    /**
     * Wurde das Regelungsvorhaben an PKP gesendet?
     * @type {string}
     * @memberof RegelungsvorhabenBundesregierungTableDTO
     */
    pkpGesendetAm?: string;
    /**
     * @type {PkpGesendetStatusType}
     * @memberof RegelungsvorhabenBundesregierungTableDTO
     */
    pkpStatus: PkpGesendetStatusType;
    /**
     * Gibt es eine laufende/offene Zuleitung?
     * @type {boolean}
     * @memberof RegelungsvorhabenBundesregierungTableDTO
     */
    zuleitungOffen: boolean;
    /**
     * @type {PkpWorkflowStatusType}
     * @memberof RegelungsvorhabenBundesregierungTableDTO
     */
    pkpWorkflowStatus?: PkpWorkflowStatusType;
}


